/*==================================
   VEHICLE SHOWCASE
==================================*/

.vehicle-showcase {
    background: #081038;
    padding: 80px 0;
    overflow: hidden;
    /* margin-top: 200px; */
}

.hero-section{
    margin-top: 150px;
    padding: 0% !important;
    justify-content: space-between !important;
}

.vehicle-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    gap: 60px;
    width: 100%;
}

.hero-des{
    color: #fff;
    font-size: 20px;
}

.rich-text-content p {
    margin: 0 0 14px;
}

.rich-text-content p:last-child {
    margin-bottom: 10px;
}

.rich-text-content h1,
.rich-text-content h2,
.rich-text-content h3 {
    font-weight: 800;
    line-height: 1.2;
    margin: 0 0 14px;
}

.rich-text-content h1 {
    font-size: 36px;
}

.rich-text-content h2 {
    font-size: 30px;
}

.rich-text-content h3 {
    font-size: 24px;
}

.rich-text-content a {
    color: #0d6efd;
    text-decoration: none;
}

.rich-text-content a:hover {
    color: #084298;
    text-decoration: none;
}

.vehicle-price{
    background-color: red;
    width: fit-content;
    padding: 14px 24px;
    border-radius: 8px ;
    font-size: large;
    color: #fff;
}

/*=========================
   LEFT CONTENT
==========================*/

.vehicle-left {
    width: 22%;
}

.vehicle-category {
    display: block;
    font-size: 18px;
    font-weight: 500;
    color: #fff;
    letter-spacing: 1px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.vehicle-title {
    font-size: 40px;
    font-weight: 800;
    line-height: 1;
    color: #ffb400;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.title-line {
    width: 110px;
    height: 10px;
    background: #ef1c25;
    margin-bottom: 30px;
}


.learn-btn {
    display: inline-block;
    color: #ffb400;
    font-size: 26px;
    font-weight: 700;
    text-decoration: none;
    margin-bottom: 30px;
    transition: .3s;
}

/* .learn-btn:hover {
    color: #ef1c25;
}

.book-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 260px;
    height: 75px;
    background: #ef1c25;
    color: #fff;
    font-size: 34px;
    font-weight: 700;
    text-decoration: none;
    transition: .35s;
}

.book-btn:hover {
    background: #111;
    color: #fff;
} */

/*=========================
   CENTER IMAGE
==========================*/

.vehicle-image {
    width: 52%;
    text-align: center;
}

.vehicle-image img {
    width: 100%;
    max-width: 760px;
    transition: .4s;
}

.vehicle-image img:hover {
    transform: scale(1.03);
}

/*=========================
   RIGHT SIDE
==========================*/

.vehicle-right {
    width: 26%;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.feature-item {
    display: flex;
    align-items: center;
    gap: 30px;
    justify-content: flex-start;
}

.feature-icon {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background: #333;
    color: #ffb400;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    flex-shrink: 0;
}

.feature-text {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.feature-text span {
    color: #fff;
    font-size: 20px;
    font-weight: 500;
}

.feature-text strong {
    color: #ffb400;
    font-size: 22px;
    font-weight: 700;
}

/*==================================
        RESPONSIVE
==================================*/

@media (max-width: 992px) {

    .vehicle-wrapper{
        display: flex;
        flex-direction: column;
        gap: 40px;
        text-align: center;
    }

    /* Image First */
    .vehicle-image{
        order: 1;
        width: 100%;
    }

    /* Content Second */
    .vehicle-left{
        order: 2;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    /* Features Last */
    .vehicle-right{
        order: 3;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .title-line{
        margin:20px auto;
    }

    .vehicle-price{
        margin:auto;
    }

    .feature-item{
        justify-content:center;
    }
}

/* Mobile */

@media (max-width:768px){

    .hero-section{
        margin-top:60px;
        padding:20px 15px !important;
    }

    .vehicle-showcase{
        padding:40px 0;
    }

    .vehicle-wrapper{
        display:flex;
        flex-direction:column;
        align-items:center;
        gap:35px;
    }

    .vehicle-left,
    .vehicle-image,
    .vehicle-right{
        width:100% !important;
        max-width:100%;
    }

    /* Image First */
    .vehicle-image{
        order:1;
    }

    .vehicle-left{
        order:2;
    }

    .vehicle-right{
        order:3;
    }

    .vehicle-image img{
        width:100%;
        max-width:420px;
        height:auto;
        display:block;
        margin:auto;
    }

    .vehicle-category,
    .vehicle-title,
    .hero-about-title,
    .hero-about-tag{
        text-align:center;
    }

    .vehicle-title{
        font-size:30px;
        line-height:1.3;
        margin-bottom:15px;
    }

    .title-line{
        margin:20px auto;
    }

    .hero-des,
    .hero-about-text,
    .rich-text-content{
        width:100%;
        max-width:100%;
    }

    .rich-text-content p,
    .hero-des,
    .hero-about-text{
        font-size:16px;
        line-height:1.9;
        text-align:justify;
        text-justify:inter-word;
        margin-bottom:16px;
        padding:0 15px;
    }

    .rich-text-content h1{
        font-size:28px;
        text-align:center;
    }

    .rich-text-content h2{
        font-size:24px;
        text-align:center;
    }

    .rich-text-content h3{
        font-size:20px;
        text-align:center;
    }

    .vehicle-price{
        display:inline-block;
        margin:25px auto;
        font-size:18px;
        padding:12px 24px;
    }

    .feature-item{
        flex-direction:column;
        align-items:center;
        text-align:center;
        gap:12px;
    }

    .feature-text{
        align-items:center;
    }

    .feature-text span{
        font-size:16px;
    }

    .feature-text strong{
        font-size:18px;
    }

}


/* ==========================
   Small Mobile
========================== */

@media (max-width:576px){

    .hero-section{
        margin-top:40px;
        padding:15px !important;
    }

    .vehicle-showcase{
        padding:30px 0;
    }

    .vehicle-title{
        font-size:26px;
    }

    .hero-about-title{
        font-size:22px;
        text-align:center;
    }

    .hero-about-tag{
        justify-content:center;
        width:100%;
    }

    .vehicle-image img{
        max-width:100%;
        height:auto;
    }

    .rich-text-content p,
    .hero-des,
    .hero-about-text{
        font-size:15px;
        line-height:1.8;
        text-align:justify;
        text-justify:inter-word;
        padding:0 10px;
    }

    .vehicle-price{
        font-size:17px;
        padding:10px 20px;
        margin:auto;
    }

}



/*==========================
 pricing-overview
==========================*/

.pricing-overview{
    background:#f7f9fc;
}

.pricing-card{

    background:#fff;
    /* border-radius:24px; */
    padding:40px;

    box-shadow:
    0 20px 45px rgba(15,23,42,.08);

}

.pricing-info{

    display:flex;
    justify-content:center;
    align-items:center;
    gap:35px;

    margin-bottom:35px;
    padding-bottom:30px;

    border-bottom:1px solid #edf1f7;

}

.info-item{

    display:flex;
    align-items:center;
    gap:16px;

}

.info-item i{

    width:55px;
    height:35px;

    display:flex;
    align-items:center;
    justify-content:center;

    border-radius:14px;

    background:#eef4ff;

    color:#154ec1;

    font-size:24px;

}

.info-item span{

    display:block;

    font-size:13px;

    color:#8892a6;

}

.info-item strong{

    font-size:18px;

    color:#17233d;

    font-weight:700;

}

.divider{

    width:1px;
    height:45px;
    background:#e7ebf3;

}

/*====================*/

.pricing-grid{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:20px;

}

.price-box{

    border:1px solid #edf1f7;

    border-radius:16px;

    padding:22px;

    transition:.35s;

    background:#fff;

}

.price-box:hover{

    transform:translateY(-4px);

    box-shadow:0 10px 30px rgba(0,0,0,.08);

}

.price-box p{

    margin:0;

    font-size:15px;

    color:#fff;

}

.price-box h5{

    margin-top:10px;

    font-size:24px;

    color:#fff;

    font-weight:700;

}

/*====================*/

@media(max-width:991px){

.pricing-grid{

grid-template-columns:repeat(2,1fr);

}

.pricing-info{

flex-wrap:wrap;

gap:20px;

}

.divider{

display:none;

}

}

@media(max-width:767px){

.pricing-card{

padding:12px;

}

.pricing-grid{

grid-template-columns:1fr;

}

.pricing-info{

flex-direction:column;

align-items:flex-start;

}

.info-item{

width:100%;

}

.price-box{

padding:18px;

}

.price-box h5{

font-size:20px;

}

}

/*==========================
 HERO ABOUT
==========================*/

/* .hero-about-section{

    margin-top:-90px;
    position:relative;
    z-index:10;
    padding-bottom:90px;

} */

.hero-about-card{

    /* background:#fff; */

    /* border-radius:24px; */

    padding:80px 0;

    /* box-shadow: */
    /* 0 15px 60px rgba(0,0,0,.08); */

}

.hero-about-tag{

    display:inline-flex;

    align-items:center;

    gap:10px;

    font-size:14px;

    font-weight:700;

    letter-spacing:2px;

    color:#FF0000;

    text-transform:uppercase;

    margin-bottom:18px;

}

.hero-about-tag::before{

    content:"";

    width:45px;

    height:3px;

    background:#FF0000;

}

.hero-about-title{

    font-size:24px;

    font-weight:800;

    line-height:1.2;

    margin-bottom:25px;

    color:#345a96;

}

.hero-about-title span{

    color:#FF0000;

}

.hero-about-text{

    font-size:18px;

    line-height:1.9;

    color:#5B6470;

    margin-bottom:25px;

    text-align:justify;

}

/*========================
Responsive
========================*/

@media(max-width:991px){

.hero-about-section{

margin-top:40px;

}

.hero-about-card{

padding:40px 30px;

}

.hero-about-title{

font-size:34px;

}

.hero-about-text{

font-size:16px;

}

.about-highlight{

grid-template-columns:repeat(2,1fr);

margin-top:30px;

}

}

@media(max-width:576px){

.hero-about-card{

padding:30px 20px;

}

.hero-about-title{

font-size:28px;

}

.about-highlight{

grid-template-columns:1fr;

}

.highlight-item{

padding:25px;

}

.highlight-item h3{

font-size:34px;

}

}

/* ====================================
CAB BOOKING FROM
======================================= */

.form-label {
    font-size: 13px;
    font-weight: 600;
    margin-bottom: 8px;
}

.custom-input {
    border: 1.5px solid #000 !important;
    border-radius: 8px !important;
    min-height: 54px;
    font-size: 14px;
    box-shadow: none !important;
}

.custom-input:focus {
    border-color: #e11d2e;
}

textarea.custom-input {
    min-height: 90px;
    resize: none;
}

.country-box {
    position: relative;
}

.form-control custom-input-two{
    height: 140px !important;
    border: 1.5px solid #000 !important;

}

.text-surcharge{
    text-align:right !important;
}

/* Flag */
.country-select-wrapper {
    position: relative;
    width: 100%;
}

.country-select {
    height: 54px;
    padding-left: 60px !important;
    padding-right: 65px !important;
    border: 1.5px solid #000 !important;
    border-radius: 8px !important;
    font-size: 18px;
    display: flex;
    align-items: center;
    line-height: normal;
}

.country-flag {
    position: absolute;
    left: 18px;
    top: 50%;
    transform: translateY(-50%);
    width: 28px;
    height: 20px;
    object-fit: cover;
    border-radius: 2px;
    z-index: 5;
    pointer-events: none;
}

/* Better arrow alignment */

.country-select.form-select {
    background-position: right 18px center;
    background-size: 14px;
}

/* ============================================== */

.payment-group {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.payment-item {
    position: relative;
    display: flex;
    align-items: center;
    gap: 15px;
    min-width: 170px;
    padding: 18px 28px;
    border: 1.5px solid #1e1e1e;
    border-radius: 10px;
    cursor: pointer;
    transition: all .3s ease;
    background: #fff;
}

.payment-item input {
    display: none;
}

.custom-radio {
    width: 20px;
    height: 20px;
    border: 2px solid #999;
    border-radius: 50%;
    position: relative;
    flex-shrink: 0;
}

.payment-text {
    font-size: 18px;
    font-weight: 600;
    color: #1e1e1e;
}

/* Active State */

.payment-item.active {
    border-color: #e53935;
}

.payment-item.active .custom-radio {
    border-color: #e53935;
}

.payment-item.active .custom-radio::after {
    content: "";
    width: 10px;
    height: 10px;
    background: #e53935;
    border-radius: 50%;
    position: absolute;
    justify-content:center;
    align-items:center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Card Note */

.card-note {
    display: none;
    color: #e53935;
    font-size: 14px;
    margin-top: 15px;
    margin-left: 10px;
    font-weight: 500;
}

@media(max-width:576px){

    .payment-group{
        flex-direction: column;
    }

    .payment-item{
        width:100%;
    }

}

.payment-item {
    border: 1.5px solid #000;
    border-radius: 8px;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

.payment-item.active {
    border-color: #e11d2e;
}

.charges-box {
    border: 1px solid #000;
    border-radius: 10px;
    background: #fafafa;
    padding: 20px;
}

.charges-box h6 {
    margin-bottom: 8px;
}


.custom-checkbox-wrapper {
    display: flex;
    align-items: center;
    gap: 12px;
}

.custom-checkbox {
    /* appearance: none; */
    /* -webkit-appearance: none; */
    width: 20px !important;
    height: 20px !important;
    border: 2px solid #bdbdbd;
    border-radius: 6px;
    cursor: pointer;
    position: relative;
    transition: all 0.3s ease;
    flex-shrink: 0;
}

.custom-checkbox:checked {
    background: #e53935 !important;
    border-color: #e53935 !important;
}

.custom-checkbox:checked::after {
    content: '\2713' !important;
    color: #fff;
    font-size: 14px;
    font-weight: 100 !important;
    position: absolute;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.checkbox-label {
    font-size: 14px;
    color: #444;
    cursor: pointer;
}

.checkbox-label a {
    color: #e53935;
    text-decoration: none;
    font-weight: 500;
}

.checkbox-label a:hover {
    text-decoration: underline;
}


.submit-btn {
    background: #e11d2e !important;
    color: #fff !important;
    padding: 14px 50px !important;
    border-radius: 8px;
    border: none;
    font-weight: 600;
    width: 100%;
}

.submit-btn:hover {
    background: #c91726;
    color: #fff;
}

@media (max-width: 767px) {


    .payment-group {
        flex-direction: column;
    }

    .payment-item {
        width: 100%;
    }

    .submit-btn {
        width: 100%;
    }
}
